Version outage support for sonarqube

Hi Team,

We are currently using Sonarqube version 8.9LTS in our company.

The following document shows that the 8.9TLS cycle expiration date is approximately 18 months.
( SonarQube Long Term Support version | SonarQube)

Since the release is in May 2021, we are thinking that the EOSL is at the end of November 2022, working backwards.

Do we need to support the upgrade considering that we will be receiving support in the future?

Hi,

It’s not clear to me what you’re asking. We do anticipate the next LTS release in 2022Q4. Once it’s released, you should upgrade to it.

 
HTH,
Ann

Hi,

Sorry for the delay in responding.
I apologize for the text, which is difficult to convey.

Questions include.
Can I get support without updating when the cycle expiration date of my current version expires?

Regards
Kisho.

Hi Kisho,

If the new LTS is released and you don’t upgrade, you’ll get politely reluctant answers for a while, but very quickly you’ll find it very difficult to get help.

You should always be on the latest release (currently 9.6.1) or on the latest point version of the LTS (currently 8.9.9). Why? Because they include the most up to date bug fixes and security patches.

 
HTH,
Ann

Hi Ann,

Thank you for your response.

I am aware of the risk of not updating the version.

Thank you very much for your response.

Kind regards
Kisho.

1 Like